# FairMQ: fair::mq::sdk::cmd::CurrentState Struct Reference

fair::mq::sdk::cmd::CurrentState Struct Reference
Inheritance diagram for fair::mq::sdk::cmd::CurrentState:
[legend]
Collaboration diagram for fair::mq::sdk::cmd::CurrentState:
[legend]

## Public Member Functions

| CurrentState (const std::string &id, State currentState)
std::string | GetDeviceId () const
void | SetDeviceId (const std::string &deviceId)
fair::mq::State | GetCurrentState () const
void | SetCurrentState (fair::mq::State state)
Public Member Functions inherited from fair::mq::sdk::cmd::Cmd
| Cmd (const Type type)
Type | GetType () const

The documentation for this struct was generated from the following file:

- fairmq/sdk/commands/Commands.h

privacy